This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 597037 - Preupgrade did not resume after cancel
Preupgrade did not resume after cancel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 20:49 EDT by Douglas Myers–Turnbull
Modified: 2010-12-03 09:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:16:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Output from both runs (9.26 KB, application/octet-stream)
2010-05-27 20:49 EDT, Douglas Myers–Turnbull
no flags Details

  None (edit)
Description Douglas Myers–Turnbull 2010-05-27 20:49:54 EDT
Created attachment 417431 [details]
Output from both runs

When using preupgrade from F12 to F13, user clicked "cancel" at the "downloading packages" stage. User subsequently re-ran preupgrade and (definitely) selected "yes" when prompted "Do you want to resume your upgrade to Fedora 13 (Goddard)?".The process then restarted, beginning with the "download release info" stage.

Preupgrade version: 1.1.5-1.fc12
Kernel version: 2.6.32.11-99.fc12.i686
PackageKit verison: 0.5.7-2.fc12
Yum version: 3.2.27-3.fc12

Should be reproducible.
Steps to Reproduce:
1. run preupgrade
2. click cancel
3. attempt to resume process
  
Actual results:
Preupgrade failed to resume.

Expected results:
Preupgrade should have resumed.

Additional info:
User did not have enough space in /boot but (having an Ethernet connection available) chose to continue.
Comment 1 Bug Zapper 2010-11-03 09:59:30 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 09:16:15 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.